Blob Blame Raw
diff -up PackageKit-0.1.3/configure.ac.polkit PackageKit-0.1.3/configure.ac
--- PackageKit-0.1.3/configure.ac.polkit	2007-11-10 10:41:06.000000000 -0500
+++ PackageKit-0.1.3/configure.ac	2007-12-09 22:33:56.000000000 -0500
@@ -228,11 +228,7 @@ AC_ARG_WITH([security_framework],
 			   [Default security framework to use polkit,dummy]))
 # try and guess this if nothing is listed
 if test x$with_security_framework = x; then
-	if test -f /usr/bin/polkit-list-actions ; then
-		with_security_framework=polkit
-	else
-		AC_MSG_ERROR([--with-security-framework explicitly required when not using PolicyKit or RBAC])
-	fi
+	with_security_framework=polkit
 fi
 
 AC_DEFINE(security_framework, "$with_security_framework", [default security framework])
diff -up PackageKit-0.1.3/src/pk-security-polkit.c.polkit PackageKit-0.1.3/src/pk-security-polkit.c
--- PackageKit-0.1.3/src/pk-security-polkit.c.polkit	2007-12-09 22:39:21.000000000 -0500
+++ PackageKit-0.1.3/src/pk-security-polkit.c	2007-12-09 22:40:47.000000000 -0500
@@ -83,7 +83,7 @@ pk_security_can_do_action (PkSecurity *s
 		return POLKIT_RESULT_NO;
 	}
 
-	pk_result = polkit_context_can_caller_do_action (security->priv->pk_context, pk_action, pk_caller);
+	pk_result = polkit_context_is_caller_authorized (security->priv->pk_context, pk_action, pk_caller, TRUE, NULL);
 	pk_debug ("PolicyKit result = '%s'", polkit_result_to_string_representation (pk_result));
 
 	polkit_action_unref (pk_action);